% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AMISforInfectiousDiseases-package.R
\docType{package}
\name{AMISforInfectiousDiseases-package}
\alias{AMISforInfectiousDiseases}
\alias{AMISforInfectiousDiseases-package}
\title{AMISforInfectiousDiseases: Implement the AMIS Algorithm for Infectious Disease Models}
\description{
Implements the Adaptive Multiple Importance Sampling (AMIS) algorithm, as described by Retkute et al. (2021, \doi{10.1214/21-AOAS1486}), to estimate key epidemiological parameters by combining outputs from a geostatistical model of infectious diseases (such as prevalence, incidence, or relative risk) with a disease transmission model. Utilising the resulting posterior distributions, the package enables forward projections at the local level.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/drsimonspencer/AMISforInfectiousDiseases-dev}
  \item Report bugs at \url{https://github.com/drsimonspencer/AMISforInfectiousDiseases-dev/issues}
}

}
\author{
\strong{Maintainer}: Simon Spencer \email{s.e.f.spencer@warwick.ac.uk} (\href{https://orcid.org/0000-0002-8375-5542}{ORCID})

Authors:
\itemize{
  \item Evandro Konzen (\href{https://orcid.org/0000-0002-6275-1681}{ORCID})
  \item Renata Retkute (\href{https://orcid.org/0000-0002-3877-6440}{ORCID})
  \item Raiha Browning (\href{https://orcid.org/0000-0002-6175-2244}{ORCID})
  \item Thilbault Lestang
}

Other contributors:
\itemize{
  \item University of Warwick [copyright holder]
  \item Oxford Research Software Engineering [copyright holder]
}

}
\keyword{internal}
